Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Delete document share

DELETE/workspaces/{organizationId}/documents/{id}/share/{token}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
tokenstringrequired
Responses
204

Share revoked

404

Share not found

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://pile.nyc/workspaces/string/documents/string/share/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
Share revoked